2022-12-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  1.0.5

2022-12-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Simplify lookup of python command

  See libsigcplusplus PR#83

2022-12-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm: Add build-tests option

  and simplify lookup of python command.
  
  See libsigcplusplus PR#83 and PR#84

2022-09-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm/meson.build: Detect if we build from a git subtree

  See gtkmm!72

2022-09-26  Jelle van der Waa  <jelle@archlinux.org>

  util/meson_aux: make tarball reproducible

  Set the owner/gid of a tarball to make the output tarball reproducible.
  
  Signed-off-by: Jelle van der Waa <jelle@archlinux.org>

2022-09-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Convert README to README.md and OVERVIEW.md

  * README -> README.md + OVERVIEW.md
  * meson.build: Install README.md and OVERVIEW.md
  * Makefile.am: Distribute and install README.md and OVERVIEW.md
  * configure.ac: Set `foreign` option to automake.
  Without the `foreign` option, old versions of automake require
  a README file, which no longer exists. New versions (like 1.16.5)
  without the `foreign` option require README or README.md.

2022-05-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm/meson.build: Avoid configuration warnings

2022-02-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  1.0.4

2022-02-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update README

2022-02-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Don't use deprecated find_program().path()

2022-02-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Specify 'check' option in run_command()

  The default value will be changed in future Meson releases.
  
  Don't use deprecated python3.path() and execute(..., gui_app: ...).
  Let import('python').find_installation() always find the python
  installation used to run Meson.

2021-08-16  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add doc_postprocess.py and doc_install.py

  Generating documentation does not require Perl in Meson builds.
  
  util/build_scripts/doc-reference.py calls doc_postprocess.py and
  doc_install.py instead of doc-postprocess.pl and doc-install.pl.
  
  The Perl scripts are kept. They are used in Autotools builds.
  mm-common-prepare still copies them.

2021-07-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Python scripts: Specify file encoding

  The default file encoding is platform dependent in Python.
  Better tell which encoding to use when text files are written.

2021-05-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  1.0.3

2021-05-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm: Add dependencies to Doxygen tag files in subprojects

  Doxygen in a main project shall not be called before tag files have been
  created or updated in subprojects.

2021-05-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add global_tag_file_target when mm-common is a subproject

  A main project can depend on it. Doxygen in a main project shall not
  be called before libstdc++.tag has been created or updated.

2021-05-16  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm: Make it possible to use it as a subproject

  skeleton and glibmm can be subprojects of skeletonmm.

2021-05-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Subprojects can use meson.add_dist_script() if meson.version() >= 0.58.0

  * meson.build:
  * skeletonmm/doc/reference/meson.build:
  * skeletonmm/meson.build:
  * skeletonmm/skeleton/skeletonmm/meson.build:
  Call add_dist_script() in a subproject, if meson.version() >= 0.58.0.
  * util/build_scripts/dist-build-scripts.py:
  * util/build_scripts/dist-changelog.py:
  * util/build_scripts/doc-reference.py:
  * util/build_scripts/generate-binding.py:
  * util/meson_aux/extra-dist-cmd.py:
  Use MESON_PROJECT_DIST_ROOT if it exists, else MESON_DIST_ROOT.
  It exists if meson.version() >= 0.58.0.

2021-04-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Make quiet installations possible

  * util/build_scripts/doc-reference.py:
  * util/build_scripts/generate-binding.py:
  * util/meson_aux/extra-install-cmd.py: Don't print names of installed
  files or other informative messages if the environment variable
  MESON_INSTALL_QUIET is set.
  It is set by "meson install --quiet" in Meson 0.54.0 and newer.

2021-04-16  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  extra-install-cmd.py: Ignore FileNotFoundError

  util/meson_aux/extra-install-cmd.py: Ignore FileNotFoundError.
  On Windows, subprocess.run() may fail to find aclocal even if
  the calling meson.build file has found it. Ignore this case.
  
  https://mail.gnome.org/archives/gtkmm-list/2021-April/msg00005.html

2021-04-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm: Update Meson build files

  Add "implicit_include_directories: false" to library() and executable().
  Don't use the deprecated dep.get_pkgconfig_variable() function.
  Change dependencies: glibmm-2.4 -> glibmm-2.68, sigc++-2.0 -> sigc++-3.0.

2021-03-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Make it possible to use mm-common as a subproject

  If mm-common is a subproject, make mm-common-get2 that can be executed
  without being installed. The main project is built before the subprojects
  have been installed.

2021-02-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm/doc/reference/Doxyfile.in: Remove obsolete entries

2021-02-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm, Meson build: Use relative paths to untracked/

  The paths to the source code in untracked/ shall be relative to the
  meson.build file, when library files are built from a tarball.
  With absolute paths Meson may generate too long file names.
  See merge request gtkmm!61

2020-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm, Meson build: Fix versioning on macOS

  See https://github.com/libsigcplusplus/libsigcplusplus/pull/65

2020-09-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  1.0.2

2020-09-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Autotools builds: Create only .tar.xz tarballs

  This is what Meson does.

2020-09-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Makefile.am: Remove the name of a removed file

  Should have been fixed when skeletonmm/tools/dist-cmd.py was removed.

2020-09-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Python files: Use the 'with' statement when files are opened

2020-09-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  dist-build-scripts.py: Remove files from dist, if requested

  The caller (a meson.build file in e.g. glibmm) can specify git-tracked
  files and directories that shall not be included in the tarball.
  They shall be removed from MESON_DIST_ROOT.

2020-07-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  doc-reference.py: Fix the DevHelp base path

  The DevHelp base path shall not include DESTDIR. Fixes #2

2020-06-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  util/doc-install.pl: Improve the update for Doxygen >= 1.8.16

  * skeletonmm/doc/reference/meson.build:
  * util/doc-install.pl: Move some code from meson.build to doc-install.pl,
  where regular expressions can be used.

2020-06-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  util/doc-install.pl: Update for Doxygen >= 1.8.16

  Doxygen 1.8.16 and later does not store tag file names in the html files.
  
  * skeletonmm/doc/reference/meson.build:
  * util/doc-install.pl: Modify so that references to other modules are
  still updated in the html files when they are installed.

2020-06-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  1.0.1

2020-06-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm: Remove PERL_PATH from Doxygen.in

  Doxygen since version 1.8.0 does not use PERL_PATH and MSCGEN_PATH.

2020-04-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm/skeleton/meson.build: Minor fix of generated .pc file

  libdir=${exec_prefix}/lib, as when it's generated with Autotools.

2020-04-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm: Some fixes in the Meson build system

  * meson.build: Remove dist-cmd.py from the skeletonmm tarball.
  * skeletonmm/doc/reference/meson.build:
  * skeletonmm/skeleton/skeletonmm/meson.build: Don't use dist-cmd.py.
  * skeletonmm/meson.build: Don't use dist-cmd.py. Add a better error message
  if mm-common-get is required but not found. If not maintainer-mode, check
  that generate-binding.py exists.
  * skeletonmm/meson_options.txt: Default value of warnings is 'min'.
  Add dist-warnings.
  * skeletonmm/tools/dist-cmd.py: Removed file. It's not necessary in
  add_dist_script() when the first parameter is python3.path().

2020-04-04  Chun-wei Fan  <fanchunwei@src.gnome.org>

  util: Add script to check gmmproc version

  This adds a new utility script for Meson builds to check on what gmmproc
  version was used (or is to be used) to generate the sources, so that we
  can know whether we are ready to use compiler directives to export
  symbols by defining macros during the build of the various -mm C++
  modules.

2020-01-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm Meson build: Improve internal dependencies

  * skeletonmm/doc/reference/meson.build: Less difference between
  maintainer-mode and not maintainer-mode.
  * keletonmm/skeleton/skeletonmm/meson.build: Make separate lists of
  built .h files and built .cc files.

2020-01-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm/doc/reference/meson.build: Check if perl is found

  Don't use perl.path() when configuring Doxyfile, if perl is not found.
  Perl is not required, if build-documentation=false.
  See https://github.com/libsigcplusplus/libsigcplusplus/issues/53

2019-12-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm/meson.build: Check if .git is a directory or a file

  In a git worktree, .git is a regular file.
  
  See MR pangomm!8

2019-12-20  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Make libstdc++.tag retrieval work for Windows

  With this, the mm-common package will now build for Windows/MSVC; it
  is still a long way to go to actually make it usable for Windows
  
  This ensures that we use the curl.exe and wget.exe that we happen to
  find, and the corresponding DLLs of the libraries can be loaded.

2019-10-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  1.0.0

2019-10-27  Murray Cumming  <murrayc@murrayc.com>

  MM_AX_CXX_COMPILE_STDCXX: Update

  Another update from upstream:
  https://www.gnu.org/software/autoconf-archive/ax_cxx_compile_stdcxx.html

2019-10-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm: Use Meson instead of Autotools

  The files in the skeletonmm directory now show the start of a project
  that will use Meson.
  
  The new skeletonmm is based on experience from building pangomm with Meson.
  It does not include code necessary for running Meson under MSVC.
  See !2 and pangomm!4. Fixes #1

2019-10-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  util/build_scripts/doc-reference.py: Don't use feature from Python 3.7

  Don't use text=True in subprocess.run(). It does not exist in Python 3.5
  which is the Python version that mm-common requires.

2019-09-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README, util/build_scripts: Minor changes in documentation

2019-09-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Support modules that are built with Meson

  * configure.ac:
  * Makefile.am:
  * meson.build: Install files from util/build_scripts/.
  Configure mm-common-get and mm-common-get.1.
  * README: Describe the new files.
  * util/build_scripts/*.py:
  * util/mm-common-get.1.in:
  * util/mm-common-get.in: New files for modules built with Meson.
  * util/mm-common-prepare.1.in:
  * util/mm-common-prepare.in: Mention that these are used for modules built
  with Autotools.
  
  See MR !2

2019-09-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  util/meson_aux: Replace shell scripts with Python scripts

  Python scripts can be used on all operating systems where Meson
  can be used. Shell scripts are restricted to Unix-like systems.

2019-09-03  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  util/meson_aux/extra-dist-cmd.sh: Use MESON_DIST_ROOT

2019-08-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  util/meson_aux: Use short options for the cp command.

  Posix does not support long options for the cp command.
  See !1

2019-08-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Several minor improvements

  Change the license from GPLv2 to GPLv2+, meaning GPL version 2 or later.
  That's what configure.ac says.
  Use the / operator instead of join_paths().
  Directory paths for installation are relative to {prefix} instead of absolute.
  Don't call meson.add_dist_script(), if it's a subproject.

2019-07-10  Ting-Wei Lan  <lantw@src.gnome.org>

  Use short options to run tar commands

  Although long options are more readable, it is less supported by
  non-GNU tar implementation. To ensure that the script can not only run
  on GNU/Linux but also run on most *BSD, we have to use short options.

2019-07-10  Ting-Wei Lan  <lantw@src.gnome.org>

  Don't hard-code the path of bash

  Bash isn't always installed in /bin. Scripts which don't requires bash
  to work are converted to use sh, while scripts requiring bash features
  are changed to use PATH to find bash.

2019-06-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Give installed mm-common-prepare execution permission

2019-05-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Don't require curl or wget when use-network=false

  None of those commands is used when network access is disabled.

2019-05-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add support for building mm-common with meson

  mm-common can be built with either autotools or meson, but the files it
  installs and copies to other modules are only useful for modules that
  use autotools.

2019-05-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Rename directory build/ to am_include/

  This is in preparation for building mm-common with meson in the near future.
  
  When jhbuild is used for building a module with meson, and the user has
  requested builddir==srcdir, which meson forbids, jhbuild creates
  a $srcdir/build directory and builds there, even if there already is such
  a directory, used for other purposes.

2019-03-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm: Doxyfile.in: Remove obsolete glibmm configuration constants

  They have been removed from glibmm's master branch. They shall not be used
  in new code. See issue glibmm#22.

2019-02-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  skeletonmm: Update for builddir != sourcedir

  * skeletonmm/codegen/generate_defs_and_docs.sh: Read the environment
  variables $GMMPROC_GEN_SOURCE_DIR and $GMMPROC_GEN_BUILD_DIR.

2018-12-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  configure.ac: Update bug report address

2018-12-15  Andre Klapper  <a9016009@gmx.de>

  Replace Bugzilla by Gitlab URL in DOAP file

2018-04-07  Murray Cumming  <murrayc@murrayc.com>

  0.9.12

2018-03-28  Murray Cumming  <murrayc@murrayc.com>

  MM_AX_CXX_COMPILE_STDCXX: Update

  Update from upstream:
  https://www.gnu.org/software/autoconf-archive/ax_cxx_compile_stdcxx.html

2017-08-25  Murray Cumming  <murrayc@murrayc.com>

  0.9.11

2016-07-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Build: Fix silent builds

  * configure.ac: Pass yes to AM_SILENT_RULES, thus enabling silent builds.
  * skeletonmm/configure.ac: Pass yes to AM_SILENT_RULES, thus enabling silent
  builds. Require mm-common 0.9.10 (not necessary for silent builds,
  but necessary when MM_AX_CXX_COMPILE_STDCXX is used).
  * skeletonmm/doc/reference/Doxyfile.in: Set QUIET=YES.
  Update for doxygen 1.8.11 (not necessary for silent builds).
  Bug #768797

2016-04-17  Michael Biebl  <biebl@debian.org>

  Build: don't save time stamps in skeletonmm.tar.gz

  Bug: https://bugzilla.gnome.org/show_bug.cgi?id=765108

2016-02-06  Murray Cumming  <murrayc@murrayc.com>

  0.9.10

2016-01-08  Murray Cumming  <murrayc@murrayc.com>

  Add MM_ prefix to AX_CXX_COMPILE_STDCXX m4 macro.

  * macros/mm-ax_cxx_compile_stdcxx.m4: Add MM_ prefix, to avoid possible
  conflict with AX_CXX_COMPILE_STDCXX in other modules.
  This patch can possibly be applied to future versions, if an updated version
  is copied from www.gnu.org/software/autoconf-archive.

2016-01-08  Murray Cumming  <murrayc@murrayc.com>

  Add macros/mm-ax_cxx_compile_stdcxx.m4

  * README: Describe mm-ax_cxx_compile_stdcxx.m4 instead of the
    mm-ax_cxx_compile_stdcxx_11.m4
  * Makefile.am: Distribute and install mm-ax_cxx_compile_stdcxx.m4.
  * macros/mm-ax_cxx_compile_stdcxx.m4: New file.
  * skeletonmm/configure.ac: Use MM_AX_CXX_COMPILE_STDCXX instead of
    MM_AX_CXX_COMPILE_STDCXX_11.
  
  This macro, copied from here:
  http://www.gnu.org/software/autoconf-archive/ax_cxx_compile_stdcxx.html
  if more useful thatn the C++11-specific one, because it lets
  us specify, for instance C++14 instead.

2015-11-27  Murray Cumming  <murrayc@murrayc.com>

  0.9.9

2015-11-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  mm-warnings.m4: Fix MM_ARG_ENABLE_WARNINGS for C++11

  * macros/mm-warnings.m4: Don't compare a pointer with 0 in the test program.
  It does not work well with the -Wzero-as-null-pointer-constant option.
  Bug #757979.

2015-08-29  Daniel Elstner  <daniel.kitta@gmail.com>

  doc-reference.am: Remove pubdocbase and htmlrefpub overrides

  * build/doc-reference.am (pubdocbase): Remove overridable variable,
  which has been obsolete and without effect for a long time now.
  (htmlrefpub): ditto.

2015-08-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  doc-reference.am: Don't assume all existing html files shall be rebuilt

  * build/doc-reference.am: Don't use the set of previously generated files as
  prerequisites when building reference documentation. Bug #686364.

2015-08-21  Daniel Elstner  <daniel.kitta@gmail.com>

  Bump version to 0.9.9

  * configure.ac (AC_INIT): Version 0.9.9.  This may become 1.0.0
  for the actual release.
  * NEWS: Start entry for new version.

2015-08-21  Daniel Elstner  <daniel.kitta@gmail.com>

  doc-postprocess.pl: Un-break tag file references

  * util/doc-postprocess.pl: For some reason, recent versions of
  Doxygen output the full path to referenced tag files.  This is
  bad since it breaks doc-install.pl, and also because it leaks
  local path names into source tarballs.  Thus, strip the directory
  prefix here.

2015-08-21  Daniel Elstner  <daniel.kitta@gmail.com>

  doc-reference.am: Do not distribute doxygen.css

  * build/doc-reference.am (DIST_DOCTOOLS): Remove the deprecated
  doxygen.css from the list of distributed documentation utilities.
  This is unlikely to cause any serious breakage -- modules that
  still use doxygen.css will continue to build just fine.  Only new
  tarball releases will be affected, and even then only when the
  shipped documentation is being rebuilt.

2015-08-21  Daniel Elstner  <daniel.kitta@gmail.com>

  Build: Suggest ACLOCAL_PATH instead of ACLOCAL_FLAGS

  * Makefile.am (postinst-acdir-notice): If the installed macros
  are not on the aclocal search patch, suggest the modern solution
  of setting ACLOCAL_PATH instead of ACLOCAL_FLAGS.

2015-08-20  Daniel Elstner  <daniel.kitta@gmail.com>

  doc-reference.am: Export MMDOCTOOLDIR at make level

  * build/doc-reference.am: Use GNU make's "export" directive to
  pass MMDOCTOOLDIR to Doxygen.

2015-08-20  Daniel Elstner  <daniel.kitta@gmail.com>

  Build: Generate mm-common-util-uninstalled.pc

  * mm-common-util-uninstalled.pc.in: For consistency, create
  a pkg-config file for uninstalled use of the mm-common utilities.

2015-08-20  Daniel Elstner  <daniel.kitta@gmail.com>

  Build: Defer decision to use network to make time

  * Makefile.am (check_updates): Drop the USE_MAINTAINER_MODE and
  NETWORK_ENABLED conditions in favor of the USE_NETWORK variable.
  This makes the logic less convoluted, and also allows USE_NETWORK
  to be overridden at make time.
  * configure.ac (NETWORK_ENABLED): Drop Automake conditional.

2015-08-20  Daniel Elstner  <daniel.kitta@gmail.com>

  Build: Clean up handling of network enable option

  * configure.ac: Clean up and simplify the handling of the option
  to enable or disable the libstdc++ tags download.  Also, show it
  as --disable-network in the help to reflect the most common use
  case.

2015-08-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Revert "doc-reference.am: Don't assume all existing html files shall be rebuilt"

  This reverts commit 1ed83c95f60bf6e10a148e43fd4e4201761d2459.
  
  That commit does not work well together with jhbuild. Bug #686364.

2015-08-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  doc-reference.am: Don't assume all existing html files shall be rebuilt

  * build/doc-reference.am: Don't use the set of previously generated files as
  prerequisites when building reference documentation. Use html/index.html as a
  prerequisite, forcing a rebuild of html/* if it's missing. Bug #686364.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

  0.9.8

2015-07-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add MM_ prefix to AX_CXX_COMPILE_STDCXX_11 m4 macro

  * macros/mm-ax_cxx_compile_stdcxx_11.m4: Add MM_ prefix, to avoid possible
  conflict with AX_CXX_COMPILE_STDCXX_11 in other modules.
  This patch can possibly be applied to future versions, if an updated version
  is copied from www.gnu.org/software/autoconf-archive. Bug #751432.

2015-07-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add macros/mm-ax_cxx_compile_stdcxx_11.m4

  * README: Describe mm-ax_cxx_compile_stdcxx_11.m4.
  * Makefile.am: Distribute and install mm-ax_cxx_compile_stdcxx_11.m4.
  * macros/mm-ax_cxx_compile_stdcxx_11.m4: New file.
  * skeletonmm/configure.ac: Add MM_AX_CXX_COMPILE_STDCXX_11.
  Bug #751432.

2014-09-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  0.9.7

2014-09-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  doap: Add description, download-page, bug-database, programming-language

2014-08-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add doxygen-extra.css, deprecate doxygen.css

  * README: Say that doxygen.css is deprecated. Add description of
  doxygen-extra.css.
  * Makefile.am: Distribute doxygen-extra.css.
  * build/doc-reference.am: Distribute doxygen-extra.css.
  * skeletonmm/.gitignore: Ignore doxygen-extra.css.
  * skeletonmm/doc/reference/Doxyfile.in: Use doxygen-extra.css instead
  of doxygen.css.
  * util/doxygen.css: Add comment, saying it's deprecated.
  * util/doxygen-extra.css: New file. Equal to doxygen.css except for comments.
  * util/mm-common-prepare.in: Copy doxygen-extra.css.
  * util/mm-common-prepare.1.in: List doxygen-extra.css.
  https://mail.gnome.org/archives/gtkmm-list/2014-August/msg00022.html

2014-07-30  Olav Vitters  <olav@vitters.nl>

  doap category core

2013-01-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update for Doxygen 1.8.

  * skeletonmm/doc/reference/Doxyfile.in: Update with Doxygen 1.8.3.
  doxygen -s -u Doxyfile.in
  * util/post-process.pl: Don't collapse almost all multiple spaces to a
  single space. It distorts the formatting of @code blocks, even more so with
  Doxygen 1.8.
  * util/doxygen.css: Add rules for div.fragment and div.line. Used for @code
  blocks by Doxygen 1.8.

2012-10-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Fix the distribution.

  * Makefile.am: Include skeletonmm/skeleton/src/skeleton_vfunc.defs and
  skeletonmm/codegen/generate_defs_and_docs.sh in distributions.

2012-10-21  Murray Cumming  <murrayc@murrayc.com>

  Fix the build

2012-10-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update skeletonmm.

  * skeletonmm/.gitignore: Add files copied by MM_CONFIG_DOCTOOL_DIR([doc]).
  * skeletonmm/codegen/generate_defs_and_docs.sh: New file.
  * skeletonmm/codegen/Makefile.am: Include generate_defs_and_docs.sh in
  distribution.
  * skeletonmm/doc/reference/Doxyfile.in: Make it more like Doxyfile.in
  in glibmm and gtkmm.
  Add ALIAS for @newin with 3 arguments. Some C projects (goocanvas, grilo,
  gstreamer) use "Since: 1.2.3", instead of "Since: 1.2".
  * skeletonmm/skeleton/src/skeleton_extra.defs: Rename to skeleton_signal.defs.
  * skeletonmm/skeleton/src/skeleton_vfunc.defs: New file
  * skeletonmm/skeleton/src/skeleton.defs:
  * skeletonmm/skeleton/src/filelist.am: Update with new and renamed files.

2012-10-07  Murray Cumming  <murrayc@murrayc.com>

  0.9.6

2012-09-29  Murray Cumming  <murrayc@murrayc.com>

  Dist .js files that doxygen now generates

2012-07-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Use $(MMDOCTOOLDIR) instead of @MMDOCTOOLDIR@ in Doxyfile.in.

  MM_CONFIG_DOCTOOL_DIR([doc]) defines MMDOCTOOLDIR=${top_srcdir}/doc, which
  Doxygen does not understand, if it's substituted into Doxyfile. Let 'make' do
  the necessary recursive substitutions and export the result to Doxygen in the
  environment variable MMDOCTOOLDIR.
  
  * build/doc-reference.am: Export MMDOCTOOLDIR to Doxygen.
  * skeletonmm/configure.ac: Add MM_CONFIG_DOCTOOL_DIR([doc]).
  * skeletonmm/doc/reference/Doxyfile.in: Replace @MMDOCTOOLDIR@ by
  $(MMDOCTOOLDIR). Bug #673984.

2011-09-20  Krzesimir Nowak  <qdlacz@gmail.com>

  Make downloading tags optional.

  Allow networking to be disabled - may be useful for developers with
  no connection to Internet. By default networking is paired with
  maintainer mode, that is - it is enabled/disabled when maintainer mode
  is enabled/disabled.
  
  * configure.ac: Check for networking. Check for wget and curl if
  networking is enabled.
  * Makefile.am: Use NETWORK_ENABLED condition.

2011-09-16  Krzesimir Nowak  <qdlacz@gmail.com>

  Don't try to run tar by shell.

  This was a leftover from removing `missing' script use. `missing'
  is written in shell so it was possible to run it as `/bin/sh missing'.
  tar is a binary file and it should be called directly. This fixes
  skeletonmm tarball creation.
  
  * Makefile.am: Removed $(SHELL) from command packing skeletonmm
  into tarball.

2011-09-13  Krzesimir Nowak  <qdlacz@gmail.com>

  Don't use missing for making skeleton tarball.

  Missing script is rather intended to be used by maintainers, that
  is - in maintainer mode, so just look for tar utility and use it
  directly.
  
  * configure.ac: Add check for tar utility.
  * Makefile.am: Don't use missing for packaging skeleton files.

2011-05-18  Armin Burgmeier  <armin@arbur.net>

  Fix running doxygen when it is located at a path containing spaces (#630051)

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

  0.9.5

2011-03-28  Krzesimir Nowak  <qdlacz@gmail.com>

  Distribute doctools if non-empty parameter is passed to MM_CONFIG_DOCTOOL_DIR.

  * macros/mm-doc.m4:
  * build/doc-reference.am: If non-empty parameter is passed to
  MM_CONFIG_DOCTOOL_DIR then mm-common-prepare will copy doctools
  to given directory. These files are needed during install stage,
  so they need to be distributed. This way we don't need to add
  some lines to Makefile.am in every project using mm-common. Which
  we did, anyway.

2011-03-18  Murray Cumming  <murrayc@murrayc.com>

  0.9.4

2011-03-18  Kalev Lember  <kalev@smartlink.ee>

  Set datarootdir in mm-common-util.pc

  * util/mm-common-util.pc.in: Set the datarootdir variable now that the
  file is in ${datadir}/pkgconfig directory.

2011-03-18  Krzesimir Nowak  <qdlacz@gmail.com>

  Change installation directory for mm-common-util.pc file.

  * Makefile.am: mm-common-util.pc should be put inside ${datadir}/pkgconfig,
  instead of ${libdir}/pkgconfig, because it does not contain any arch-specific
  information.

2011-03-15  Murray Cumming  <murrayc@murrayc.com>

  0.9.3

2011-03-15  Murray Cumming  <murrayc@murrayc.com>

  Add mm-common-util.pc so we can get doc utils from mm-common.

  * util/mm-common-util.pc.in: Added this file, with the path to
  the installed doctool/*.pl files.
  * configure.ac:
  * Makefile.am: Generate and install the .pc file.
  * macros/mm-doc.m4: Use the mm-common-util .pc file, not the glibmm-2.4 one.
  
  Previously, glibmm installed a copy that it got from mm-common-prepare
  and other modules then asked glibmm where to find its copy.
  That was probably for backwards compatibility.
  But we break stuff with gtkmm 3 anyway, so now is a good time to
  avoid the duplication by requiring modules to get it from mm-common instead.
  Actually this should only require a rerun of autogen.sh, because
  mm-common's own MM_CONFIG_DOCTOOL_DIR macro is what gets the path to
  these utils.
  
  Removing the hard-coding of glibmm-2.4 will also help us when we eventually
  break the glibmm ABI.

2010-12-10  Murray Cumming  <murrayc@murrayc.com>

  Add support for extra m4 arguments via GMMPROC_EXTRA_M4_DIR.

  * build/generate-binding.am: Use GMMPROC_EXTRA_M4_DIR to provide
  extra -I arguments to gmmproc. For instance, use this in configure.ac:
   MM_PKG_CONFIG_SUBST([GMMPROC_EXTRA_M4_DIR], [--variable=gmmprocm4dir gtkmm-3.0])

2010-04-18  Olav Vitters  <olav@vitters.nl>

  Fix doap file

2010-02-05  Daniel Elstner  <daniel.kitta@gmail.com>

  Update news for the upcoming release

  * NEWS: Update entry for the upcoming 0.9.2 release.

2010-02-05  Daniel Elstner  <daniel.kitta@gmail.com>

  Bump year of copyright in template files to 2010

2010-02-05  Daniel Elstner  <daniel.kitta@gmail.com>

  Customize the skeleton documentation main page

  * skeletonmm/skeleton/skeletonmm.h: Demonstrate the use of Doxygen's
  @mainpage command to customize the generated documentation main page.
  * skeletonmm/doc/Makefile.am (doc_input): Include the central header
  in the list of input files for Doxygen.
  * skeletonmm/doc/reference/Doxyfile.in (PREDEFINED): Extend the list
  of predefined macros to hide a few more GLib annotations.

2010-01-07  Daniel Elstner  <daniel.kitta@gmail.com>

  Skip ACLOCAL_FLAGS notice if it is already set

  * Makefile.am (postinst-acdir-notice): Test whether $ACLOCAL_FLAGS is
  already set up before showing the informational notice about the need
  to do so.

2010-01-07  Daniel Elstner  <daniel.kitta@gmail.com>

  Avoid leading special character in expr argument

  * macros/mm-doc.m4 (_MM_ARG_WITH_TAGFILE_DOC): Be prudent and begin
  any expression argument to expr with a known non-special character.

2010-01-06  Daniel Elstner  <daniel.kitta@gmail.com>

  Bump version to 0.9.2 and prepare news

  * configure.ac (AC_INIT): Increment the package version to 0.9.2.
  * NEWS: Start preliminary news entry for the next release.

2010-01-06  Daniel Elstner  <daniel.kitta@gmail.com>

  Include friend members in Devhelp index

  * util/tagfile-to-devhelp2.xsl (keyword-list): Treat kind "friend" as
  a synonym for kind "function", so that friend members are included in
  the Devhelp keyword list.

2010-01-06  Daniel Elstner  <daniel.kitta@gmail.com>

  Set non-blurry font in skeleton Doxygen config

  * skeletonmm/doc/reference/Doxyfile.in (DOT_FONTNAME): Change to Sans,
  as FreeSans appears to be rather badly hinted at least on my system.
  (TEMPLATE_RELATIONS): Disable to reduce noise.

2009-12-31  Daniel Elstner  <daniel.kitta@gmail.com>

  Update news for the mm-common 0.9.1 release

  * NEWS: Update news entry for the upcoming release of mm-common 0.9.1.

2009-12-31  Daniel Elstner  <daniel.kitta@gmail.com>

  Display post-install notice about ACLOCAL_FLAGS

  * Makefile.am (install-data-hook): If mm-common has been installed in
  a different prefix than the system aclocal, print a message to inform
  the installer that it may be necessary to set ACLOCAL_FLAGS.

2009-12-29  Daniel Elstner  <daniel.kitta@gmail.com>

  Do not rely on executable ./missing script

  * Makefile.am (skeletonmm.tar.gz): Just to be safe, invoke ./missing
  with $(SHELL) instead of relying on its direct executability.

2009-12-29  Daniel Elstner  <daniel.kitta@gmail.com>

  Point to skeletonmm tar archive in manual page

  * util/mm-common-prepare.1.in: Adjust reference to the installed
  skeletonmm/ directory to point to the tar archive instead.

2009-12-29  Daniel Elstner  <daniel.kitta@gmail.com>

  Install skeletonmm files as tar archive

  * Makefile.am (skeletonmm.tar.gz): New rule to create a tar archive
  of skeletonmm as part of the build.
  (doc_DATA): Install skeletonmm.tar.gz into documentation directory.
  (dist_noinst_DATA): Ship but do not install skeletonmm/ files.
  (dist_noinst_SCRIPTS): Ship but do not install skeletonmm/autogen.sh.
  (CLEANFILES): List skeletonmm.tar.gz.

2009-12-29  Daniel Elstner  <daniel.kitta@gmail.com>

  Put placeholder comments into skeleton defs files

  * skeletonmm/skeleton/src/skeleton_{enum,extra,method}.defs: Insert
  a comment into each defs file template.  These files previously had
  zero length, which Debian's Lintian did not approve of.

2009-12-28  Daniel Elstner  <daniel.kitta@gmail.com>

  Require mm-common 0.9 in skeleton configure.ac

  * skeletonmm/configure.ac (MM_PREREQ): Require mm-common 0.9, just to
  be sure.

2009-12-28  Daniel Elstner  <daniel.kitta@gmail.com>

  Bump version to 0.9.1 and write preliminary news

  * configure.ac (AC_INIT): Increment version to 0.9.1.
  * NEWS: Write preliminary news entry for mm-common 0.9.1.

2009-12-28  Daniel Elstner  <daniel.kitta@gmail.com>

  Allow module API version suffix without a dash

  * macros/mm-module.m4 (MM_INIT_MODULE): Adjust the regular expressions
  used to extract the API version from the module name, so that the dash
  separator becomes optional.

2009-12-28  Daniel Elstner  <daniel.kitta@gmail.com>

  Fine-tune skeleton Doxygen configuration

  * docs/reference/Doxyfile.in (EXTRACT_ALL): Disable, so that only
  documented classes and functions will appear in the documentation.
  (EXTRACT_PRIVATE): Enable.  It is perfectly fine to have private
  virtual methods, which are of course nonetheless part of the API.
  Use the Doxygen @internal command to hide members if necessary.
  (SHOW_INCLUDE_FILES): Enable.  The displayed filename can be adjusted
  with the @headerfile command if required.
  (SHOW_USED_FILES): Disable.
  (WARN_NO_PARAMDOC): Enable.
  (PREDEFINED): Define G_GNUC_INTERNAL to the empty expansion.
  (CLASS_DIAGRAMS): Enable.  Contrary to what the Doxygen documentation
  says, no dot class inheritance graphs will be generated if both
  CLASS_DIAGRAMS and COLLABORATION_GRAPH are set to NO.
  (COLLABORATION_GRAPH), (GROUP_GRAPHS): Turn off additional graphs to
  reduce the noise.

2009-12-26  Daniel Elstner  <daniel.kitta@gmail.com>

  Complete news for mm-common 0.9 release

  * NEWS: Update news entry for the upcoming release of mm-common 0.9.

2009-12-24  Daniel Elstner  <daniel.kitta@gmail.com>

  Add new MM_PROG_GCC_VISIBILITY Autoconf macro

  * macros/mm-dietlib.m4 (MM_PROG_GCC_VISIBILITY): New Autoconf macro
  to check whether the compiler supports the GNU C++ symbol visibility
  attributes.
  * README: Mention MM_PROG_GCC_VISIBILITY in the M4 file description.

2009-12-14  Daniel Elstner  <daniel.kitta@gmail.com>

  Work around incorrect static expansion by Automake

  * build/doc-reference.am (dist_reference_DATA), (dist_noinst_DATA):
  Wrap the assigned value in a $(strip) function call to stop Automake
  from expanding the variable statically.  It breaks because the static
  expansion of conditionally assigned variables is empty.

2009-12-12  Daniel Elstner  <daniel.kitta@gmail.com>

  Explicitly depend on generated documentation files

  * build/doc-reference.am (all-local): List the files to be distributed
  or installed explicitly as dependencies.  It appears that the previous
  change to assign some variables conditionally hides them from Automake.

2009-12-12  Daniel Elstner  <daniel.kitta@gmail.com>

  Work around empty instantiation of $(doc_outdir)

  * build/doc-reference.am (doxytagfile), (devhelpfile): Conditionally
  assign these variables, thus making them overridable.  For some weird
  reason this helps to avoid a premature instantiation of $(doc_outdir)
  with the empty string as content.  (bgo#604222)

2009-12-05  Daniel Elstner  <daniel.kitta@gmail.com>

  Increment version to mm-common 0.9

  * configure.ac (AC_INIT): Bump the version number to 0.9 due to the
  interface additions in doc-reference.am.
  * NEWS: Change version of the top news entry to mm-common 0.9.

2009-12-05  Daniel Elstner  <daniel.kitta@gmail.com>

  Process documentation targets conditionally

  * build/doc-reference.am (dist_reference_DATA), (dist_noinst_DATA):
  Assign the list of files to install and distribute conditionally,
  depending on whether ENABLE_DOCUMENTATION is true.  Thus, it is no
  longer required to skip the entire documentation build directory if
  the documentation is disabled.
  (install-data-local), (uninstall-data): As above, but for the phony
  targets to install and uninstall files to the system.
  ($(doc_config)): Do not add any commands to the rule when building
  from the top-level directory.  Automake automatically generates rules
  and commands to rebuild config.status output files at the top level.

2009-12-04  Daniel Elstner  <daniel.kitta@gmail.com>

  Make the documentation output directory variable

  * build/doc-reference.am (doc_outdir): New overridable configuration
  variable for the documentation output directory, set to "reference"
  by default.
  (doc_config): New overridable configuration variable for the Doxygen
  configuration file, set to "$(doc_outdir)/Doxyfile" by default.
  Throughout the file, make use of the new configuration variables to
  replace hard-coded path references.

2009-11-17  Daniel Elstner  <daniel.kitta@gmail.com>

  Restore original LGPL text in skeletonmm COPYING

  * skeletonmm/COPYING: Replace text file with the original version it
  was copied from, without every instance of "for example" substituted
  by "for skeleton".  Oops.

2009-11-04  Daniel Elstner  <daniel.kitta@gmail.com>

  Clean up MM_ARG_ENABLE_WARNINGS() documentation

  * macros/mm-warnings.m4 (MM_ARG_ENABLE_WARNINGS): Refine usage example
  and reduce verbosity.

2009-11-04  Daniel Elstner  <daniel.kitta@gmail.com>

  Avoid non-portable whitespace in sed expression

  * build/dist-changelog.am (dist-changelog): According to the Autoconf
  documentation, POSIX does not allow whitespace between the ! operator
  and the command that follows it.

2009-10-19  Murray Cumming  <murrayc@murrayc.com>

  MM_ARG_ENABLE_WARNINGS documentation: Add an example call and more clues.

  * macros/mm-warnings.m4: Documentation: Add an example call of this macro,
  mention how to use the resulting variable in the Makefile.am, and mentino how
  to force fatal warnings during distcheck.

2009-10-09  Daniel Elstner  <daniel.kitta@gmail.com>

  Bump version to 0.8.1 and update news

  * configure.ac (AC_INIT): Increment version number to 0.8.1.  Change
  the address for reporting bugs to GNOME Bugzilla, product mm-common.
  * NEWS: Write news entry for the upcoming mm-common 0.8.1 release.

2009-10-08  Daniel Elstner  <daniel.kitta@gmail.com>

  Specify project-specific Bugzilla URL in skeleton

  * skeletonmm/configure.ac (AC_INIT): Expand the bug report address to
  the project-specific GNOME Bugzilla URL for filing new bugs.
  (AC_CONFIG_SRCDIR): Specify the central header as file to check for.

2009-10-08  Daniel Elstner  <daniel.kitta@gmail.com>

  Remove documentation override file from skeleton

  * skeletonmm/skeleton/src/skeleton_docs_override.xml: Delete file, as
  gmmproc now allows inherited reference documentation to be overridden
  directly with Doxygen comments in the source code.
  * skeletonmm/skeleton/src/filelist.am (files_defs): Remove the file
  skeleton_docs_override.xml from the list.
  * Makefile.am (nobase_dist_doc_DATA): Likewise.

2009-10-07  Daniel Elstner  <danielk@openismus.com>

  Properly handle shallow source directory layouts

  * build/generate-binding.am (binding_outputdir): Avoid a superfluous
  ./ component in the concatenated path if the parent directory is the
  top-level directory of the source tree.

2009-10-07  Daniel Elstner  <daniel.kitta@gmail.com>

  Shorten relative path to source output directory

  * build/generate-binding.am (binding_outputdir): Assign a simplified
  relative path if a separate build directory is not used.

2009-10-06  Daniel Elstner  <danielk@openismus.com>

  Fix skeleton link to public HTML documentation

  * skeletonmm/skeleton/skeletonmm{,-uninstalled}.pc.in (htmlrefpub):
  Insert missing devel/ path component into library.gnome.org URL.

2009-09-27  Daniel Elstner  <daniel.kitta@gmail.com>

  Do not set default Devhelp base path to HTTP URL

  * build/doc-reference.am (dh_xsl_params): Do not set the Devhelp base
  attribute to the public Web location of the documentation by default.
  This made it look as though Devhelp supports anything but local paths
  for the base attribute, which it does not.
  (htmlref_patterns): Use $(addprefix) function to avoid repetition.
  (docdir_base_uri): Strip trailing slash from $(datarootdir).

2009-09-27  Daniel Elstner  <daniel.kitta@gmail.com>

  Generate a nested hierarchy of Devhelp chapters

  * util/tagfile-to-devhelp2.xsl (chapters): Turn the flat structure of
  the Doxygen tag file into hierarchies of modules and classes.  At the
  top-level, select only those compounds which are not a member of any
  other compound, and then process the nested compounds recursively to
  create the tree structure.
  (functions): Refactor and canonicalize the template logic.  No longer
  attempt to sort the keyword list, because it is not a requirement and
  unnecessarily complicates the transformation.
  (xsl:strip-space): Strip excess whitespace from source elements.

2009-09-22  Daniel Elstner  <danielk@openismus.com>

  Call AM_SILENT_RULES in skeleton configure.ac

  * skeletonmm/configure.ac: Call the AM_SILENT_RULES macro if present.
  (MM_PREREQ): Raise minimum version to mm-common 0.8.

2009-09-22  Daniel Elstner  <danielk@openismus.com>

  Correct libskeletonmm API version substitution

  * skeletonmm/examples/Makefile.am (local_libs): Substitute the value
  of $(SKELETONMM_API_VERSION) rather than $(GLIBMM_API_VERSION).

2009-09-21  Daniel Elstner  <danielk@openismus.com>

  Remove bogus news entry for phantom 0.7.4 release

  * NEWS: Remove the news entry for mm-common 0.7.4 which I accidentally
  left in after having merged its content into the mm-common 0.8 entry.
  There never was an mm-common 0.7.4 release.  We've always been at war
  with Eastasia.

2009-09-21  Daniel Elstner  <danielk@openismus.com>

  Show GEN notice for libstdc++.tag in silent mode

  * Makefile.am (doctags/libstdc++.tag): Prefix download command with
  $(AM_V_GEN) rather than $(AM_V_at), to indicate the target that is
  being built.

2009-09-21  Daniel Elstner  <danielk@openismus.com>

  Document the shared Doxygen style sheet

  * README: In the Documentation utilities section, expand the text and
  add a paragraph documenting the purpose of the util/doxygen.css file.

2009-09-21  Daniel Elstner  <danielk@openismus.com>

  Bump version to 0.8 and update news

  * configure.ac (AC_INIT): Increment version number to 0.8.
  * NEWS: Update top news entry for the mm-common 0.8 release.

2009-09-21  Daniel Elstner  <danielk@openismus.com>

  Correct conditional generation of Devhelp chapters

  * util/tagfile-to-devhelp2.xsl (chapters): Assign node sets to the
  intermediate variables using the select attribute, rather than trying
  to apply the templates in the element content.  With this change, the
  test whether there are any child elements now correctly evaluates to
  false if the node set is empty.

2009-09-19  Daniel Elstner  <daniel.kitta@gmail.com>

  Support Automake silent rules

  * configure.ac: Call the AM_SILENT_RULES macro if it is defined.
  * Makefile.am: Prefix the commands of custom rules with $(AM_V_at)
  or $(AM_V_GEN) to quieten the command echoing in silent mode.
  * build/*.am: Likewise for the common build support files.
  * build/generate-binding.am (mm_v_gen): Define custom silent output
  for the gmmproc code generation rule.

2009-09-19  Daniel Elstner  <daniel.kitta@gmail.com>

  Fix Devhelp file installation with Automake 1.11

  * build/doc-reference.am (install-htmlref), (uninstall-htmlref): Move
  commands to install the Doxygen HTML output to separate custom rules.
  (install-devhelp), (uninstall-devhelp): New custom rules to translate
  and install the Devhelp file.
  (install-data-local), (uninstall-local): Depend on the custom install
  and uninstall rules for the HTML and Devhelp documentation files.
  (dist_devhelpDATA_INSTALL): Remove variable assignment.  The ability
  to selectively override the install program was never documented and
  does not work anymore with Automake 1.11.
  (dist_devhelp_DATA): Remove variable assignment.
  (dist_noinst_DATA): Distribute Devhelp file.

2009-09-18  Daniel Elstner  <danielk@openismus.com>

  Refine .gitignore files

2009-09-18  Daniel Elstner  <danielk@openismus.com>

  Remove pointless quotes from build commands

  * Makefile.am: Remove single quotes around variable substitutions
  where all possible values are known to not contain meta-characters
  or whitespace.

2009-09-18  Daniel Elstner  <danielk@openismus.com>

  Do not show merge commits in generated ChangeLog

  * build/dist-changelog.am (dist-changelog): Add --no-merge option to
  exclude merge commits from the output.  The individual merged commits
  are still shown.

2009-09-18  Daniel Elstner  <daniel.kitta@gmail.com>

  Automatically create private/ output directory

  * build/generate-binding.am (binding_mkdirs): In addition to the
  .stamps/ subdirectory, also create the private headers directory
  automatically if it does not exist at build time.

2009-09-17  Daniel Elstner  <danielk@openismus.com>

  Do not use dist-changelog by default in skeleton

  * skeletonmm/Makefile.am: Comment-out the include of dist-changelog.am
  so that it will have to be enabled explicitly.

2009-09-17  Daniel Elstner  <danielk@openismus.com>

  Handle filename argument to mm-common-prepare

  * util/mm-common-prepare.in: Allow the name of the Autoconf source
  file to be specified on the command-line, so that it works the same
  way as with autoreconf.  Also, create the directory for the auxiliary
  build files automatically if it does not exist.

2009-09-15  Daniel Elstner  <danielk@openismus.com>

  Bump version to 0.7.4 and update news

  * configure.ac (AC_INIT): Increment package version to 0.7.4.
  * NEWS: Start news entry for the mm-common 0.7.4 release.

2009-09-15  Daniel Elstner  <danielk@openismus.com>

  Add examples/ directory to skeletonmm source tree

  * skeletonmm/examples/: New skeleton subdirectory for code examples.
  * skeletonmm/skeleton/skeletonmm.h: New single include header.
  * skeletonmm/configure.ac (AC_CONFIG_FILES): List examples/Makefile.
  * skeletonmm/Makefile.am (skeletonmm_include_HEADERS): Distribute and
  install the skeleton/skeletonmm.h single include header.
  * skeletonmm/doc/reference/Doxyfile.in: Update for Doxygen 1.6.1.
  (EXAMPLE_*): Correct accidentally renamed variables.
  (EXAMPLE_PATH): Point to skeleton examples subdirectory.
  (EXAMPLE_RECURSIVE): Enable.
  (SORT_MEMBERS_CTORS_1ST): Enable.
  * Makefile.am (nobase_dist_doc_DATA): List new skeleton files.

2009-09-13  Daniel Elstner  <daniel.kitta@gmail.com>

  Check for a proper sed program during configure

  * configure.ac: Call AC_PROG_SED to check for a proper sed program.
  * Makefile.am (subst_manpage): Use $(SED) variable.
  * build/dist-changelog.am (dist-changelog): ditto, in the expectation
  that most modules using mm-common already assign $(SED) in one way or
  another.

2009-09-11  Daniel Elstner  <danielk@openismus.com>

  Treat whitespace in glob patterns literally

  * util/doc-{install,postprocess}.pl: Explicitly call the bsd_glob()
  subroutine instead of the builtin glob() function.  Although the
  builtin glob() is implemented in terms of bsd_glob(), it additionally
  splits its argument into multiple patterns separated by whitespace.

2009-09-10  Daniel Elstner  <danielk@openismus.com>

  Escape $ before {} in M4 more consistently

  * macros/mm-warnings.m4 (MM_ARG_ENABLE_WARNINGS): Apply cosmetics.
  Put [] quotes around $ before {}.  Remove redundant curly braces.

2009-09-09  Daniel Elstner  <danielk@openismus.com>

  Make skeleton doc_input assignment more generic

  * skeletonmm/doc/Makefile.am (doc_input): Also include non-generated
  header files listed in $(files_extra_h), excluding wrap_init.h.

2009-09-09  Daniel Elstner  <danielk@openismus.com>

  Elaborate on skeletonmm in the documentation

  * README: Write paragraph to briefly document the need to replace
  any instances of "skeleton" or variations thereof in the content of
  files as well as the filenames.

2009-09-09  Daniel Elstner  <danielk@openismus.com>

  Update date of top news entry

  * NEWS: Change date of top entry to today.

2009-09-09  Daniel Elstner  <danielk@openismus.com>

  Increase space between Doxygen member descriptions

  * util/doxygen.css (.memitem): Increase horizontal margins to 0.5em.

2009-09-09  Daniel Elstner  <daniel.kitta@gmail.com>

  Refine wrap_init.cc and documentation dependencies

  * build/compile-binding.am (binding_libprefix): Replace short-hand
  substitution $(binding_name:lib%=) with an explicit $(filter) call.
  * build/doc-reference.am (doc_dependencies): In maintainer mode, also
  depend on Makefile.in in order to trigger a rebuild when the list of
  input files changed.
  * build/generate-binding.am (binding_stampfiles): Replace short-hand
  substitution $(files_hg:%.hg=...) with an explicit $(patsubst) call.
  (wrap_init.cc): Make Makefile.in a prerequisite so that the file will
  be rebuilt when the list of source files changed.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Ship and install skeletonmm/build/.gitignore

  * Makefile.am (nobase_dist_doc_DATA): Add skeletonmm/build/.gitignore
  to the list of documentation files to install.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Exempt skeletonmm/autogen.sh from std-options test

  * Makefile.am (AM_INSTALLCHECK_STD_OPTIONS_EXEMPT): Do not check the
  skeletonmm/autogen.sh example file for standard options support.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Increment version to 0.7.3 and update news

  * configure.ac (AC_INIT): Increment version to mm-common 0.7.3.
  * NEWS: Write news entry for the mm-common 0.7.3 release.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Set autoreconf verbose mode in skeleton autogen.sh

  * skeletonmm/autogen.sh: Pass --verbose flag to autoreconf.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Rebuild reference doc on config header change

  * build/doc-reference.am (doc_dependencies): Prepend $(CONFIG_HEADER)
  to make the reference documentation build depend on the generated
  configuration header files of the module.  This way, the rebuild is
  triggered when necessary without causing too many spurious rebuilds.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Document source directory argument in manpage

  * util/mm-common-prepare.1.in: Substitute SOURCE-DIR for DIRECTORY.
  Document the purpose of the SOURCE-DIR argument.  Insert line breaks
  after sentences as recommended by a manual page style guide.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Substitute variables in the manpage at build time

  * util/mm-common-prepare.1.in: Rename file from mm-common-prepare.1
  and insert placeholders for the location of the documentation files.
  * Makefile.am (man1_MANS): Remove "dist_" prefix from variable name.
  (dist_noinst_DATA): Distribute util/mm-common-prepare.1.in file.
  (CLEANFILES): Clean generated util/mm-common-prepare.1 file.
  (util/mm-common-prepare.1): New rule to generate the manual page
  at build time.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Enable verbose mode of autoreconf

  * autogen.sh: Pass --verbose option to autoreconf.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Install the skeleton project as documentation

  * Makefile.am (nobase_dist_doc_{DATA,SCRIPTS}): Install the skeleton
  project files below $(docdir).  Also install the README file.

2009-09-08  Daniel Elstner  <danielk@openismus.com>

  Create manual page for mm-common-prepare

  * util/mm-common-prepare.1: New manual page for the mm-common-prepare
  utility.
  * Makefile.am (dist_man1_MANS): Install mm-common-prepare manual page.

2009-09-06  Daniel Elstner  <danielk@openismus.com>

  Distribute the skeleton C++ binding source tree

  * Makefile.am (dist_noinst_DATA), (dist_noinst_SCRIPTS): List all
  files in the skeletonmm/ subdirectory in order to distribute them
  with the source archive.

2009-09-06  Daniel Elstner  <danielk@openismus.com>

  Document skeleton C++ binding source tree

  * README: Insert a section at the top in order to make readers aware
  of the skeleton C++ binding source tree, and recommend it as starting
  point for new modules.

2009-09-04  Daniel Elstner  <danielk@openismus.com>

  Create a skeleton source tree for binding modules

  * skeletonmm/: New skeleton source tree to be used as a base for new
  GNOME C++ binding modules based on mm-common.  The artificial nature
  of an explicitly provided skeleton project provides immunity against
  the proliferation of cruft that is inevitable when copying from real
  modules.

2009-09-04  Daniel Elstner  <danielk@openismus.com>

  Remove obsolete MAINTAINERS file

  * MAINTAINERS: Remove file, since it is obsolete according to
  <http://live.gnome.org/MaintainersCorner>.

2009-09-03  Daniel Elstner  <danielk@openismus.com>

  Create Devhelp chapters only for existing content

  * util/tagfile-to-devhelp2.xsl (chapters): Output the <sub> elements
  only if they will have at least one child node.  This way, there will
  be no broken chapter link in the Devhelp documentation if the module
  does not define any Doxygen groups, for instance.

2009-09-03  Daniel Elstner  <danielk@openismus.com>

  Hide the navigation path generated by Doxygen

  * util/doxygen.css (.navpath): Set 'display' to 'none'.

2009-09-03  Daniel Elstner  <danielk@openismus.com>

  Avoid using pixels as a unit in the style sheet

  * util/doxygen.css: Use unit 'em' instead of 'px' where feasible.
  Merge or split blocks where appropriate to streamline the CSS.

2009-09-02  Daniel Elstner  <danielk@openismus.com>

  Bump version to mm-common 0.7.2 and update news

  * configure.ac (AC_INIT): Increment version to mm-common 0.7.2.
  Specify the optional PACKAGE_URL argument used by recent versions
  of Autoconf.
  * NEWS: Write news entry for the mm-common 0.7.2 release.

2009-09-02  Daniel Elstner  <danielk@openismus.com>

  Increase the default font size to 90%

  * util/doxygen.css (body): Change the font height and line spacing to
  90%/150% in order to better match the default appearance of gtk-doc.

2009-09-02  Daniel Elstner  <danielk@openismus.com>

  Reduce duplicate logic in the Devhelp transform

  * util/tagfile-to-devhelp2.xsl (functions): Apply the templates to all
  <compound> elements, and add a catch-all template to filter anything
  which did not match.

2009-09-02  Daniel Elstner  <danielk@openismus.com>

  Show Doxygen groups as modules in Devhelp

  * util/tagfile-to-devhelp2.xsl (chapters): Add "Modules" chapter and
  list all compounds of kind "group" there.

2009-09-02  Daniel Elstner  <danielk@openismus.com>

  Do not extract keywords from Doxygen groups

  * util/tagfile-to-devhelp2.xsl (functions): Only list members of
  compounds which correspond to a C++ language construct, i.e. a class
  or a namespace.  Other Doxygen compounds like groups or files do not
  exist at the language level, and their names should not be used like
  namespace prefixes.

2009-09-02  Daniel Elstner  <danielk@openismus.com>

  Concatenate the destination path only when needed

  * util/doc-install.pl: Move the assignment to $out_file into the
  conditional block where it is actually used.

2009-09-01  Daniel Elstner  <danielk@openismus.com>

  Remove pointless prerequisite from dist-changelog

  * build/dist-changelog.am (dist-changelog): Remove internal git file
  from the target prerequisites.  If the source directory is not a git
  repository, the command will fail anyway.

2009-09-01  Daniel Elstner  <danielk@openismus.com>

  Avoid truncating the bottom-most ChangeLog message

  * build/dist-changelog.am (dist-changelog): Always output a blank line
  after each extracted log entry, in order to avoid tripping up the sed
  program used to post-process the git output.

2009-08-31  Daniel Elstner  <daniel.kitta@gmail.com>

  Collapse blank lines in the generated ChangeLog

  * build/dist-changelog.am (dist-changelog): Modify the sed program to
  post-process the git output so that it collapses multiple consecutive
  blank lines into a single one.

